package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校介绍vr/视频/图片对象 b_busi_wish_universities_image
 * 
 * @author mingxue
 * @date 2022-06-23
 */
public class BBusiWishUniversitiesImage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 是否为banner图 */
    @Excel(name = "是否为banner图")
    private Integer isBanner;

    /** url，type=2为视频时此字段为aliId */
    @Excel(name = "url，type=2为视频时此字段为aliId")
    private String url;

    /** 类型：1vr，2视频，3图片 */
    @Excel(name = "类型：1vr，2视频，3图片")
    private Integer type;

    /** 封面url，视频及vr使用 */
    @Excel(name = "封面url，视频及vr使用")
    private String coverUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setIsBanner(Integer isBanner) 
    {
        this.isBanner = isBanner;
    }

    public Integer getIsBanner() 
    {
        return isBanner;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setCoverUrl(String coverUrl) 
    {
        this.coverUrl = coverUrl;
    }

    public String getCoverUrl() 
    {
        return coverUrl;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeCode", getCollegeCode())
            .append("description", getDescription())
            .append("isBanner", getIsBanner())
            .append("url", getUrl())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("type", getType())
            .append("coverUrl", getCoverUrl())
            .append("sort", getSort())
            .toString();
    }
}
